Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class DefaultPortlet

    java.lang.Object
      |
      +--com.beasys.portal.ejb.DefaultPortal
            |
            +--com.beasys.portal.ejb.DefaultPortlet

public class DefaultPortlet
extends DefaultPortal
implements Portlet

Default portlet implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `alternateFooterURL`
`java.lang.String` | `alternateHeaderURL`
`java.lang.String` | `bannerURL`
`boolean` | `help`
`java.lang.String` | `helpURL`
`java.lang.String` | `iconURL`
`boolean` | `loginRequired`

Constructor Summary
`DefaultPortlet()`

Method Summary
`java.lang.String` | `getAlternateFooterURL()` Get alternate footer URL.
`java.lang.String` | `getAlternateHeaderURL()` Get alternate header URL.
`java.lang.String` | `getBannerURL()` Get banner URL.
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumn()` Get column.
`java.lang.String` | `getHelpURL()` Get help URL.
`java.lang.String` | `getIconURL()` Get icon URL.
`java.lang.String` | `getMaximizedURL()` Get maximized the maximized url.
`int` | `getRow()` Get row.
`boolean` | `hasHelp()` Does it have help?
`boolean` | `isAvailable()` Is the portlet available?
`boolean` | `isFloatable()` Is it floatable?
`boolean` | `isLoginRequired()` Is login required?
`boolean` | `isMandatory()` Is the portlet mandatory?
`boolean` | `isMaximizeable()` Is it maximizeable?
`boolean` | `isMinimizeable()` Is it minimizeable?
`boolean` | `isMinimized()` Is it minimized?
`boolean` | `isMoveable()` Is the portlet moveable?
`boolean` | `isVisible()` Is it visible?
`void` | `setAlternateFooterURL(java.lang.String aURL)` Set alternate footer URL.
`void` | `setAlternateHeaderURL(java.lang.String aURL)` Set alternate header URL.
`void` | `setAvailable(boolean aBool)` Set availability of the portlet.
`void` | `setBannerURL(java.lang.String aURL)` Set banner URL.
`void` | `setCategoryName(java.lang.String aCategoryName)` Set category name.
`void` | `setColumn(int aPos)` Set column.
`void` | `setFloatable(boolean aBool)` Set it floatable.
`void` | `setHelp(boolean aBool)` Set help.
`void` | `setHelpURL(java.lang.String aURL)` Set help URL.
`void` | `setIconURL(java.lang.String aURL)` Set icon url.
`void` | `setLoginRequired(boolean aBool)` Set login required.
`void` | `setMandatory(boolean aBool)` Set the mandatory flag.
`void` | `setMaximizeable(boolean aBool)` Set it maximizeable.
`void` | `setMaximizedURL(java.lang.String aURL)` Set maximized url.
`void` | `setMinimizeable(boolean aBool)` Set it minimizeable.
`void` | `setMinimized(boolean aBool)` Set minimized.
`void` | `setMoveable(boolean aBool)` Set it moveable.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBool)` Set it visible.

Methods inherited from class com.beasys.portal.ejb.DefaultPortal
`getContentColumnCount, getContentURL, getEditURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isEditable, isSuspended, setContentColumnCount, setContentURL, setEditable, setEditURL, setFooterURL, setHeaderURL, setName, setSuspended, setSuspendedURL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bannerURL

    public java.lang.String bannerURL

### alternateHeaderURL

    public java.lang.String alternateHeaderURL

### alternateFooterURL

    public java.lang.String alternateFooterURL

### helpURL

    public java.lang.String helpURL

### iconURL

    public java.lang.String iconURL

### help

    public boolean help

### loginRequired

    public boolean loginRequired

Constructor Detail

### DefaultPortlet

    public DefaultPortlet()

Method Detail

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Set category name.
  Specified by:
    setCategoryName in interface Portlet
  Parameters:
    `aCategoryName` - the category name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Specified by:
    getCategoryName in interface Portlet
  Returns:
    `String` the category name.

### isAvailable

    public boolean isAvailable()

  Is the portlet available?
  Specified by:
    isAvailable in interface Portlet
  Returns:
    `boolean` yes/no

### setAvailable

    public void setAvailable(boolean aBool)

  Set availability of the portlet.
  Specified by:
    setAvailable in interface Portlet
  Parameters:
    `aBool` - yes/no

### isMandatory

    public boolean isMandatory()

  Is the portlet mandatory?
  Specified by:
    isMandatory in interface Portlet
  Returns:
    `boolean` yes/no

### setMandatory

    public void setMandatory(boolean aBool)

  Set the mandatory flag.
  Specified by:
    setMandatory in interface Portlet
  Parameters:
    `aBool` - yes/no

### isMoveable

    public boolean isMoveable()

  Is the portlet moveable?
  Specified by:
    isMoveable in interface Portlet
  Returns:
    `boolean` yes/no

### setMoveable

    public void setMoveable(boolean aBool)

  Set it moveable.
  Specified by:
    setMoveable in interface Portlet
  Parameters:
    `aBool` - yes/no

### isMinimizeable

    public boolean isMinimizeable()

  Is it minimizeable?
  Specified by:
    isMinimizeable in interface Portlet
  Returns:
    `boolean` yes/no

### setMinimizeable

    public void setMinimizeable(boolean aBool)

  Set it minimizeable.
  Specified by:
    setMinimizeable in interface Portlet
  Parameters:
    `aBool` - yes/no

### isMaximizeable

    public boolean isMaximizeable()

  Is it maximizeable?
  Specified by:
    isMaximizeable in interface Portlet
  Returns:
    `boolean` yes/no

### setMaximizeable

    public void setMaximizeable(boolean aBool)

  Set it maximizeable.
  Specified by:
    setMaximizeable in interface Portlet
  Parameters:
    `aBool` - yes/no

### isFloatable

    public boolean isFloatable()

  Is it floatable?
  Specified by:
    isFloatable in interface Portlet
  Returns:
    `boolean`

### setFloatable

    public void setFloatable(boolean aBool)

  Set it floatable.
  Specified by:
    setFloatable in interface Portlet
  Parameters:
    `aBool` - yes/no

### isVisible

    public boolean isVisible()

  Is it visible?
  Specified by:
    isVisible in interface Portlet
  Returns:
    `boolean` yes/no

### setVisible

    public void setVisible(boolean aBool)

  Set it visible.
  Specified by:
    setVisible in interface Portlet
  Parameters:
    `aBool` - yes/no

### getMaximizedURL

    public java.lang.String getMaximizedURL()

  Get maximized the maximized url.
  Specified by:
    getMaximizedURL in interface Portlet
  Returns:
    `String` the maximized url.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String aURL)

  Set maximized url.
  Specified by:
    setMaximizedURL in interface Portlet
  Parameters:
    `aURL` - the maximized url.

### getRow

    public int getRow()

  Get row.
  Specified by:
    getRow in interface Portlet
  Returns:
    `int` the row.

### setRow

    public void setRow(int aPos)

  Set row.
  Specified by:
    setRow in interface Portlet
  Parameters:
    `aPos` - the row position.

### getColumn

    public int getColumn()

  Get column.
  Specified by:
    getColumn in interface Portlet
  Returns:
    `int` the column.

### setColumn

    public void setColumn(int aPos)

  Set column.
  Specified by:
    setColumn in interface Portlet
  Parameters:
    `aPos` - the column.

### setMinimized

    public void setMinimized(boolean aBool)

  Set minimized.
  Specified by:
    setMinimized in interface Portlet
  Parameters:
    `aBool` - yes/no

### isMinimized

    public boolean isMinimized()

  Is it minimized?
  Specified by:
    isMinimized in interface Portlet
  Returns:
    `boolean`

### getBannerURL

    public java.lang.String getBannerURL()

  Get banner URL.
  Specified by:
    getBannerURL in interface Portlet
  Returns:
    `String` the banner url.

### setBannerURL

    public void setBannerURL(java.lang.String aURL)

  Set banner URL.
  Specified by:
    setBannerURL in interface Portlet
  Parameters:
    `aURL` - the banner url.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()

  Get alternate header URL.
  Specified by:
    getAlternateHeaderURL in interface Portlet
  Returns:
    `String` the alternate header url.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String aURL)

  Set alternate header URL.
  Specified by:
    setAlternateHeaderURL in interface Portlet
  Parameters:
    `aURL` - the alternate header url.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()

  Get alternate footer URL.
  Specified by:
    getAlternateFooterURL in interface Portlet
  Returns:
    `String` alternate footer url.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String aURL)

  Set alternate footer URL.
  Specified by:
    setAlternateFooterURL in interface Portlet
  Parameters:
    `aURL` - the alternate footer url.

### getHelpURL

    public java.lang.String getHelpURL()

  Get help URL.
  Specified by:
    getHelpURL in interface Portlet
  Returns:
    `String` the help url.

### setHelpURL

    public void setHelpURL(java.lang.String aURL)

  Set help URL.
  Specified by:
    setHelpURL in interface Portlet
  Parameters:
    `aURL` - the help url.

### getIconURL

    public java.lang.String getIconURL()

  Get icon URL.
  Specified by:
    getIconURL in interface Portlet
  Returns:
    `String` the icon url.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Set icon url.
  Specified by:
    setIconURL in interface Portlet
  Parameters:
    `aURL` - the icon url.

### setHelp

    public void setHelp(boolean aBool)

  Set help.
  Specified by:
    setHelp in interface Portlet
  Parameters:
    `aBool` - does it have help.

### hasHelp

    public boolean hasHelp()

  Does it have help?
  Specified by:
    hasHelp in interface Portlet
  Returns:
    `boolean` yes/no.

### setLoginRequired

    public void setLoginRequired(boolean aBool)

  Set login required.
  Specified by:
    setLoginRequired in interface Portlet
  Parameters:
    `aBool` - yes/no.

### isLoginRequired

    public boolean isLoginRequired()

  Is login required?
  Specified by:
    isLoginRequired in interface Portlet
  Returns:
    `boolean` yes/no

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved